Package oracle.dbtools.plugin.api.types

## Class TypeDependencyNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.dbtools.plugin.api.types.TypeDependencyNotAvailableException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TypeDependencyNotAvailableException
      extends java.lang.RuntimeException

  Indicates an instance of a type which some other type depends on (via it's `Inject` annotated constructor is not available in the current scope
  Since:
    19.3.0
  Author:
    cdivilly
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TypeDependencyNotAvailableException` | `from​(TypeQualifier<?> type)` | Produce a `TypeDependencyNotAvailableException` instance for the specified `TypeQualifier`
    `static TypeDependencyNotAvailableException` | `from​(TypeQualifier<?> type, java.lang.Throwable cause)` | Produce a `TypeDependencyNotAvailableException` instance for the specified `TypeQualifier`
    `TypeQualifier<?>` | `qualifier()` | The injection qualifier

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### qualifier

          public TypeQualifier<?> qualifier()

      The injection qualifier
      Returns:
        `TypeQualifier` instance

    - #### from

          public static TypeDependencyNotAvailableException from​(TypeQualifier<?> type)

      Produce a `TypeDependencyNotAvailableException` instance for the specified `TypeQualifier`
      Parameters:
        `type` - The qualified type that could not be resolved
      Returns:
        `TypeDependencyNotAvailableException` instance

    - #### from

          public static TypeDependencyNotAvailableException from​(TypeQualifier<?> type,
                                                                 java.lang.Throwable cause)

      Produce a `TypeDependencyNotAvailableException` instance for the specified `TypeQualifier`
      Parameters:
        `type` - The qualified type that could not be resolved
        `cause` - The exception that occurred whilst attempting to resolve the `TypeQualifier`
      Returns:
        `TypeDependencyNotAvailableException` instance